---
title: <mpadded>
slug: Web/MathML/Element/mpadded
tags:
  - MathML
  - MathML Reference
  - 'MathML:Element'
  - 'MathML:General Layout Schemata'
---
<div>{{MathMLRef}}</div>

<p class="summary">The MathML <code>&lt;mpadded&gt;</code> element is used to add extra padding and to set the general adjustment of position and size of enclosed contents.</p>

<h2 id="Attributes">Attributes</h2>

<dl>
 <dt id="attr-class-id-style">class, id, style</dt>
 <dd>Provided for use with <a href="/en-US/docs/CSS">stylesheets</a>.</dd>
 <dt id="attr-depth">depth</dt>
 <dd>Sets or increments the depth. Possible values: Any <a href="/en-US/docs/MathML/Attributes/Values#Lengths">length</a> or an increment/decrement (a length prefixed with "+" or "-") .</dd>
 <dt id="attr-displaystyle"><code>displaystyle</code></dt>
 <dd>A Boolean value specifying whether more vertical space is used for displayed equations or, if set to <code>false</code>, a more compact layout is used to display formulas. The main effect is that larger versions of operators are displayed, when <code>displaystyle</code> is set to <code>true</code>. See also <code>largeop</code> and <code>movablelimits</code> on {{ MathMLElement("mo") }}.</dd>
 <dt id="attr-height">height</dt>
 <dd>Sets or increments the height. Possible values: Any <a href="/en-US/docs/MathML/Attributes/Values#Lengths">length</a> or an increment/decrement (a length prefixed with "+" or "-") .</dd>
 <dt id="attr-href">href</dt>
 <dd>Used to set a hyperlink to a specified URI.</dd>
 <dt id="attr-lspace">lspace</dt>
 <dd>Sets or increments the horizontal position. Possible values: Any <a href="/en-US/docs/MathML/Attributes/Values#Lengths">length</a> or an increment/decrement (a length prefixed with "+" or "-") .</dd>
 <dt id="attr-mathbackground">mathbackground</dt>
 <dd>The background color. You can use <code>#rgb</code>, <code>#rrggbb</code> and <a href="/en-US/docs/CSS/color_value#Color_Keywords">HTML color names</a>.</dd>
 <dt id="attr-mathcolor">mathcolor</dt>
 <dd>The text color. You can use <code>#rgb</code>, <code>#rrggbb</code> and <a href="/en-US/docs/CSS/color_value#Color_Keywords">HTML color names</a>.</dd>
 <dt id="attr-voffset">voffset</dt>
 <dd>Sets or increments the vertical position. Possible values: Any <a href="/en-US/docs/MathML/Attributes/Values#Lengths">length</a> or an increment/decrement (a length prefixed with "+" or "-") .</dd>
 <dt id="attr-width">width</dt>
 <dd>Sets or increments the width. Possible values: Any <a href="/en-US/docs/MathML/Attributes/Values#Lengths">length</a> or an increment/decrement (a length prefixed with "+" or "-") .</dd>
</dl>

<h3 id="Pseudo-units">Pseudo-units</h3>

<p>It is possible to use the keywords <code>"depth</code>",<code> "height"</code>, and <code>"width"</code> as a pseudo-unit for the attributes <code>depth</code>, <code>height</code>, <code>lspace</code>, <code>voffset</code>, and <code>width</code>. They represent each length of the same-named dimension.<br>
 Prior to Gecko 7.0 {{ geckoRelease("7.0") }} the MathML2 pseudo-unit <code>lspace</code> was allowed, which is no longer present in the MathML3 Recommendation and has been removed now.</p>

<h2 id="Examples">Examples</h2>

<pre class="brush: html notranslate">&lt;math&gt;

  &lt;mpadded height="+150px" width="100px" lspace="2height"&gt;
    &lt;mi&gt; x &lt;/mi&gt;
    &lt;mo&gt; + &lt;/mo&gt;
    &lt;mi&gt; y &lt;/mi&gt;
  &lt;/mpadded&gt;

&lt;/math&gt;
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("MathMLCore", "#adjust-space-around-content-mpadded", "mpadded")}}</td>
   <td>{{Spec2("MathMLCore")}}</td>
   <td>Draft specification</td>
  </tr>
  <tr>
   <td>{{ SpecName('MathML3', 'chapter3.html#presm.mpadded', 'mpadded') }}</td>
   <td>{{ Spec2('MathML3') }}</td>
   <td>Current specification</td>
  </tr>
  <tr>
   <td>{{ SpecName('MathML2', 'chapter3.html#presm.mpadded', 'mpadded') }}</td>
   <td>{{ Spec2('MathML2') }}</td>
   <td>Initial specification</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("mathml.elements.mpadded")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{ MathMLElement("mphantom") }}</li>
 <li>{{ MathMLElement("mspace") }}</li>
</ul>
